using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class AfficheSelectByPk : DataAccessBase
	{
		public AfficheSelectByPk()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[AfficheSelectByPk]");
			ConfigParameter();
		}

		private SqlParameter paramAfficheID;
		public System.Int32 AfficheID
		{
			get
			{
				return (System.Int32)paramAfficheID.Value;
			}
			set
			{
				paramAfficheID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramAfficheID = new SqlParameter();
			paramAfficheID.ParameterName = "@AfficheID";
			paramAfficheID.SqlDbType = SqlDbType.Int;
			paramAfficheID.Precision = 10;
			paramAfficheID.Scale = 0;
			paramAfficheID.Direction = ParameterDirection.Input;
			paramAfficheID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAfficheID);
		}
	}
}